> For the complete documentation index, see [llms.txt](https://docs.aeternity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/release-notes-6.3.0.md).

# About this release

[This](https://github.com/aeternity/aeternity/releases/tag/v6.3.0) is a maintenance Iris release.

It:

* Introduces a new `strict` mode in the tx-pool. It allows the node operator\
  to specify different maximum attempts per error type of a transaction, thus\
  allowing a higher grace period for some transactions to become valid while\
  limiting other errors. All error types can be specified in the config but\
  some come with sensible defaults. This feature can also be turned off in the\
  config.
* Added basic support for plugin apps loaded at node startup
* Added a configuration parameter, `system:dev_mode` (boolean), enabling switching\
  the node into development mode, with sensible defaults and on-demand consensus\
  See <https://github.com/aeternity/aeplugin\\_dev\\_mode>
* Improved checking and defaults handling of mininum\_depth parameters in State Channels.\
  Also, `"minimum_depth_strategy": "plain"` is supported besides the default, adaptive,`txfee` strategy. With `plain`, the confirmation time will always be the number of blocks\
  specified in `minimum_depth`.
* Adds node extension scripts for producing chain whitelists, and for rolling back the\
  chain to a specific height, or to a height matching a provided whitelist. This functionality\
  is meant to simplify testing, but can also be used to help get back to a preferred fork, e.g.\
  after a netsplit.
* Introduces support for 'maintenance mode', where sync, mining, and http endpoints\
  are disabled. This is primarily intended for maintenance tasks and debugging.
* Fixes a bug when fetching a transaction via the HTTP API and the flag`int-as-string` is raised. This used to fail the specification and the\
  request was crashing.
* Introduces a command-line script to inspect and toggle maintenance mode:`bin/aeternity maintenance on | off | status`
* Specifies a higher OTP version: so far the minimum one was OTP 21.3. Now the\
  minimum required would be 22.3.4.9. OTP version 23 is officially supported.
* Previously, if a transaction had been discarded from the tx-pool, it could re-enter the tx-pool. This\
  PR provides the functionality for the node operator to define their own\
  strategy if the node shall allow reentry of already discarded transactions.\
  This is configurable in the config as `mempool/allow_reentry_of_txs` and the\
  default is `false`.
* Improve micro block generation logic - try harder to fill the generated micro block if there are available transactions.

Please join the **mainnet** by following the instructions in the documentation below,\
and let us know if you have any problems by [opening a ticket](https://github.com/aeternity/aeternity/issues).\
Troubleshooting of common issues is documented [in the wiki](https://github.com/aeternity/aeternity/wiki/Troubleshooting).

## Documentation

For an overview of the installation process for different platforms,\
building the package from source, configuration and operation of the Aeternity\
node please refer to [Aeternity node documentation](https://docs.aeternity.io/).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aeternity.com/developer-documentation/aeternity/docs/release-notes/release-notes-6.3.0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
